# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of an ACH payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of an ACH payment request. By the end of this tutorial, you'll know how to: Use the `endToEndId` to manually check and confirm the status of your request. > The Global Payments API supports [webhooks](/docs/treasury/global-payments/capabilities/global-payments/callbacks) for automatic status updates. > ## Before you begin To retrieve the status of an ACH request, you'll need the following: An `endToEndId` value for your payment request, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment). ## Create and send a status request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment) contains an `endToEndId` to value that can be used to retrieve the status of the payment request. To do this, call a `GET` request to the `/payments/status` endpoint, appending your unique `endToEndId` to the end of the call: ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId=XR20210920CS1131416' ``` The following example shows a status response for a pending transaction: ```json { "paymentStatus": { "createDateTime": "2022-06-28T00:00:01.000", "status": "PENDING" } } ``` For a full list of supported status response types, see [Callbacks](/docs/treasury/global-payments/capabilities/global-payments/callbacks). ## Next steps - Learn how to [retrieve the payment details](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/get-ach-tranaction-details) of your ACH request. - Review [payment limits](/docs/treasury/global-payments/capabilities/global-payments/ach/resources). - Understand the required [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/ach/payment-parameters) for your region. ## Related Learn how to [initiate a payment request](/docs/treasury/global-payments/capabilities/global-payments/ach/how-to/initiate-ach-payment).